Module org.firebirdsql.jaybird

# Package org.firebirdsql.gds.impl.argument

@InternalApi package org.firebirdsql.gds.impl.argument
Arguments (code, type information and value) for `ParameterBufferBase`.

Related Packages
Package
Description
org.firebirdsql.gds.impl
This package contains classes for the pluggable GDS implementations.
org.firebirdsql.gds.impl.wire
Pure-java implementation of `GDSFactoryPlugin` and supporting classes.
Class
Description
Argument
Base class for arguments to the parameter buffer.
ArgumentType
Argument metadata type.
BigIntArgument
`Argument` implementation for bigint (long) values.
ByteArgument
`Argument` implementation for byte values.
ByteArrayArgument
`Argument` implementation for byte arrays.
NumericArgument
`Argument` implementation for numeric (integer) values
SingleItem
`Argument` implementation for items without a value.
StringArgument
`Argument` implementation for String values
TypedArgument
Argument with an argument type.